# Interface PluginRequest

@Incubating public interface PluginRequest
Contains information about a plugin that has been requested for resolution.

Since:
  3.5

## Method Summary

Modifier and Type
Method
Description
`PluginId`
`getId()`
The ID of the plugin requested.
`ModuleVersionSelector`
`getModule()`
The implementation module of the plugin if one was explicitly specified, otherwise null.
`String`
`getVersion()`
The version of the plugin if one was specified, otherwise null.

## Method Details

### getId

PluginId getId()
The ID of the plugin requested. Never null.

### getVersion

@Nullable String getVersion()
The version of the plugin if one was specified, otherwise null.

### getModule

@Nullable ModuleVersionSelector getModule()
The implementation module of the plugin if one was explicitly specified, otherwise null.